#ifndef _LayerDlg_h_
#define _LayerDlg_h_

#include <fox/fx.h>

class LayerDlg : public FXDialogBox 
{
	FXDECLARE(LayerDlg)

	friend class VLSIWindow;

	private:
		LayerDlg(void) {}

	public:
		LayerDlg(FXWindow *owner);

	public:
		enum
		{
			ID_LR_NULL = FXDialogBox::ID_LAST,
			ID_LR_OPTIONS,
			ID_LR_METAL6,
			ID_LR_METAL5,
			ID_LR_METAL4,
			ID_LR_METAL3,
			ID_LR_METAL2,
			ID_LR_METAL1,
			ID_LR_CONTACT,
			ID_LR_LOCAL,
			ID_LR_POLY,
			ID_LR_DIFFP,
			ID_LR_DIFFN,
			ID_LR_NWELL,

			ID_ENABLE_OPTIONS,
			ID_ENABLE_METAL6,
			ID_ENABLE_METAL5,
			ID_ENABLE_METAL4,
			ID_ENABLE_METAL3,
			ID_ENABLE_METAL2,
			ID_ENABLE_METAL1,
			ID_ENABLE_CONTACT,
			ID_ENABLE_LOCAL,
			ID_ENABLE_POLY,
			ID_ENABLE_DIFFP,
			ID_ENABLE_DIFFN,
			ID_ENABLE_NWELL,

			ID_LAST
		};
		
		long onCmdSelectLayer(FXObject*,FXSelector,void*);
		long onUpdSelectLayer(FXObject*,FXSelector,void*);
		long onCmdEnableLayer(FXObject*,FXSelector,void*);
		long onUpdEnableLayer(FXObject*,FXSelector,void*);

};

#endif
