#ifndef _GroupNode_h_
#define _GroupNode_h_

#include "Rect.h"

class GroupNode : public Rect
{
	protected:
		GroupNode*	next;
		GroupNode*	child;
	public:
		GroupNode(void);
		~GroupNode(void);

		GroupNode* Ungroup(void);
		GroupNode* Add(GroupNode* g);
		GroupNode* AddChild(GroupNode* g);
		GroupNode* GetNext(void);
		GroupNode* GetLast(void);
		GroupNode* GetChild(void);
		GroupNode* DeleteNext(void);
		GroupNode* DeleteChild(void);
		GroupNode* DeatachNext(void);
};

#endif
